### MATLAB_SBML_STRUCTURE_FUNCTIONS\STRUCTFIELDNAMES

These functions return the fieldnames and default values for the MATLAB_SBML structures.

Function are:

#### [values] = getAlgebraicRuleDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML AlgebraicRule structure of the given level and version

NOTE: The corresponding fields present in an SBML AlgebraicRule structure can be found using the function `getAlgebraicRuleFieldnames`

#### [fieldnames, num] = getAlgebraicRuleFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML AlgebraicRule structure of the given level and version
2. the number of fieldnames

#### [values] = getAssignmentRuleDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML AssignmentRule structure of the given level and version

NOTE: The corresponding fields present in an SBML AssignmentRule structure can be found using the function `getAssignmentRuleFieldnames`

#### [fieldnames, num] = getAssignmentRuleFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML AssignmentRule structure of the given level and version
2. the number of fieldnames

#### [values] = getCompartmentDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML Compartment structure of the given level and version

NOTE: The corresponding fields present in an SBML Compartment structure can be found using the function `getCompartmentFieldnames`

#### [fieldnames, num] = getCompartmentFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML Compartment structure of the given level and version
2. the number of fieldnames

#### [values] = getCompartmentTypeDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML CompartmentType structure of the given level and version

NOTE: The corresponding fields present in an SBML CompartmentType structure can be found using the function `getCompartmentTypeFieldnames`

#### [fieldnames, num] = getCompartmentTypeFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML CompartmentType structure of the given level and version
2. the number of fieldnames

#### [values] = getCompartmentVolumeRuleDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML CompartmentVolumeRule structure of the given level and version

NOTE: The corresponding fields present in an SBML CompartmentVolumeRule structure can be found using the function `getCompartmentVolumeRuleFieldnames`

#### [fieldnames, num] = getCompartmentVolumeRuleFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML CompartmentVolumeRule structure of the given level and version
2. the number of fieldnames

#### [values] = getConstraintDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML Constraint structure of the given level and version

NOTE: The corresponding fields present in an SBML Constraint structure can be found using the function `getConstraintFieldnames`

#### [fieldnames, num] = getConstraintFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML Constraint structure of the given level and version
2. the number of fieldnames

#### [values] = getDefaultValues(typecode, level, version)

Takes

1. typecode; a string representing the type of object being queried
2. level, an integer representing an SBML level
3. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML structure of the given typecode, level and version

NOTE: The corresponding fields present in an SBML structure can be found using the function `getFieldnames`

#### [values] = getDelayDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML Delay structure of the given level and version

NOTE: The corresponding fields present in an SBML Delay structure can be found using the function `getDelayFieldnames`

#### [fieldnames, num] = getDelayFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML Delay structure of the given level and version
2. the number of fieldnames

#### [values] = getEventAssignmentDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML EventAssignment structure of the given level and version

NOTE: The corresponding fields present in an SBML EventAssignment structure can be found using the function `getEventAssignmentFieldnames`

#### [fieldnames, num] = getEventAssignmentFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML EventAssignment structure of the given level and version
2. the number of fieldnames

#### [values] = getEventDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML Event structure of the given level and version

NOTE: The corresponding fields present in an SBML Event structure can be found using the function `getEventFieldnames`

#### [fieldnames, num] = getEventFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML Event structure of the given level and version
2. the number of fieldnames

#### [fieldnames, num] = getFieldnames(typecode, level, version)

Takes

1. typecode; a string representing the type of object being queried
2. level, an integer representing an SBML level
3. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML structure of the given typecode, level and version
2. the number of fieldnames

#### [values] = getFunctionDefinitionDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML FunctionDefinition structure of the given level and version

NOTE: The corresponding fields present in an SBML FunctionDefinition structure can be found using the function `getFunctionDefinitionFieldnames`

#### [fieldnames, num] = getFunctionDefinitionFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML FunctionDefinition structure of the given level and version
2. the number of fieldnames

#### [values] = getInitialAssignmentDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML InitialAssignment structure of the given level and version

NOTE: The corresponding fields present in an SBML InitialAssignment structure can be found using the function `getInitialAssignmentFieldnames`

#### [fieldnames, num] = getInitialAssignmentFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML InitialAssignment structure of the given level and version
2. the number of fieldnames

#### [values] = getKineticLawDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML KineticLaw structure of the given level and version

NOTE: The corresponding fields present in an SBML KineticLaw structure can be found using the function `getKineticLawFieldnames`

#### [fieldnames, num] = getKineticLawFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML KineticLaw structure of the given level and version
2. the number of fieldnames

#### [values] = getLocalParameterDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML LocalParameter structure of the given level and version

NOTE: The corresponding fields present in an SBML LocalParameter structure can be found using the function `getLocalParameterFieldnames`

#### [fieldnames, num] = getLocalParameterFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML LocalParameter structure of the given level and version
2. the number of fieldnames

#### [values] = getModelDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML Model structure of the given level and version

NOTE: The corresponding fields present in an SBML Model structure can be found using the function `getModelFieldnames`

#### [fieldnames, num] = getModelFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML Model structure of the given level and version
2. the number of fieldnames

#### [values] = getModifierSpeciesReferenceDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML ModifierSpeciesReference structure of the given level and version

NOTE: The corresponding fields present in an SBML ModifierSpeciesReference structure can be found using the function `getModifierSpeciesReferenceFieldnames`

#### [fieldnames, num] = getModifierSpeciesReferenceFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML ModifierSpeciesReference structure of the given level and version
2. the number of fieldnames

#### [values] = getParameterDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML Parameter structure of the given level and version

NOTE: The corresponding fields present in an SBML Parameter structure can be found using the function `getParameterFieldnames`

#### [fieldnames, num] = getParameterFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML Parameter structure of the given level and version
2. the number of fieldnames

#### [values] = getParameterRuleDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML ParameterRule structure of the given level and version

NOTE: The corresponding fields present in an SBML ParameterRule structure can be found using the function `getParameterRuleFieldnames`

#### [fieldnames, num] = getParameterRuleFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML ParameterRule structure of the given level and version
2. the number of fieldnames

#### [values] = getPriorityDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML Priority structure of the given level and version

NOTE: The corresponding fields present in an SBML Priority structure can be found using the function `getPriorityFieldnames`

#### [fieldnames, num] = getPriorityFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML Priority structure of the given level and version
2. the number of fieldnames

#### [values] = getRateRuleDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML RateRule structure of the given level and version

NOTE: The corresponding fields present in an SBML RateRule structure can be found using the function `getRateRuleFieldnames`

#### [fieldnames, num] = getRateRuleFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML RateRule structure of the given level and version
2. the number of fieldnames

#### [values] = getReactionDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML Reaction structure of the given level and version

NOTE: The corresponding fields present in an SBML Reaction structure can be found using the function `getReactionFieldnames`

#### [fieldnames, num] = getReactionFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML Reaction structure of the given level and version
2. the number of fieldnames

#### [fieldnames, num] = getRuleFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML Rule structure of the given level and version
2. the number of fieldnames

#### [values] = getSpeciesConcentrationRuleDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML SpeciesConcentrationRule structure of the given level and version

NOTE: The corresponding fields present in an SBML SpeciesConcentrationRule structure can be found using the function `getSpeciesConcentrationRuleFieldnames`

#### [fieldnames, num] = getSpeciesConcentrationRuleFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML SpeciesConcentrationRule structure of the given level and version
2. the number of fieldnames

#### [values] = getSpeciesDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML Species structure of the given level and version

NOTE: The corresponding fields present in an SBML Species structure can be found using the function `getSpeciesFieldnames`

#### [fieldnames, num] = getSpeciesFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML Species structure of the given level and version
2. the number of fieldnames

#### [values] = getSpeciesReferenceDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML SpeciesReference structure of the given level and version

NOTE: The corresponding fields present in an SBML SpeciesReference structure can be found using the function `getSpeciesReferenceFieldnames`

#### [fieldnames, num] = getSpeciesReferenceFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML SpeciesReference structure of the given level and version
2. the number of fieldnames

#### [values] = getSpeciesTypeDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML SpeciesType structure of the given level and version

NOTE: The corresponding fields present in an SBML SpeciesType structure can be found using the function `getSpeciesTypeFieldnames`

#### [fieldnames, num] = getSpeciesTypeFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML SpeciesType structure of the given level and version
2. the number of fieldnames

#### [values] = getStoichiometryMathDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML StoichiometryMath structure of the given level and version

NOTE: The corresponding fields present in an SBML StoichiometryMath structure can be found using the function `getStoichiometryMathFieldnames`

#### [fieldnames, num] = getStoichiometryMathFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML StoichiometryMath structure of the given level and version
2. the number of fieldnames

#### [values] = getTriggerDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML Trigger structure of the given level and version

NOTE: The corresponding fields present in an SBML Trigger structure can be found using the function `getTriggerFieldnames`

#### [fieldnames, num] = getTriggerFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML Trigger structure of the given level and version
2. the number of fieldnames

#### [values] = getUnitDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML Unit structure of the given level and version

NOTE: The corresponding fields present in an SBML Unit structure can be found using the function `getUnitFieldnames`

#### [values] = getUnitDefinitionDefaultValues(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of default values for an SBML UnitDefinition structure of the given level and version

NOTE: The corresponding fields present in an SBML UnitDefinition structure can be found using the function `getUnitDefinitionFieldnames`

#### [fieldnames, num] = getUnitDefinitionFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML UnitDefinition structure of the given level and version
2. the number of fieldnames

#### [fieldnames, num] = getUnitFieldnames(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. an array of fieldnames for an SBML Unit structure of the given level and version
2. the number of fieldnames

#### valid = isValidLevelVersionCombination(level, version)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version

Returns

1. valid = 1 if the level and version combinbation represent a valid specification of SBML supported by SBMLToolbox

NOTE: This function causes an error if the level/version arguments do not represent a valid supported SBML format

#### SBMLModel = propagateLevelVersion(SBMLModel)

Takes

1. SBMLModel, an SBML Model structure

Returns

1. the SBML Model structure with level and version fields added to all sub structures

NOTE: This function facilitates keeping track of the level and version of sub objects within a model